language: node_js
workspaces:
  use:
    - build
stages:
  - install-build
  - test
node_js:
  - "13"
  - "12"
  - "11"
  - "10"
  - "9"
  - "8"
  - "7"
  - "6"
  - "5"
  - "4"
  - "iojs"
  - "0.12"
  - "0.10"
import:
  - ljharb/travis-ci:node/latest-npm.yml
  - ljharb/travis-ci:node/greenkeeper.yml
  - ljharb/travis-ci:node/dependabot.yml
install: 'echo already installed!'
script: 'npm run react && npm run test:only'
sudo: false
env:
  - REACT=16
  - REACT=15
  - REACT=15.4
  - REACT=0.14
matrix:
  fast_finish: true
  include:
    - stage: install-build
      workspaces:
        create:
          name: build
          paths:
            - ./
      node_js: "lts/*"
      env: BUILD=true
      install: 'npm install'
      script: 'npm run test:prepare'
    - stage: test
      node_js: "lts/*"
      script: 'npm run pretest'
      env: PRETEST=true
    - stage: test
      node_js: "lts/*"
      script: 'npm run coverage'
      env: COVERAGE=true
